Subject: Re: `git fetch` not updating 'origin/HEAD' after branch rename

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Apr 2021 14:22:44 -0700

Andreas Schwab <[email-masked]> writes:

> On Apr 13 2021, Junio C Hamano wrote:
>
>> It may also be
>> possible to add "git fetch --reset-remote-tracking-HEAD" option to
>> make "fetch" overwrite existing origin/HEAD but somebody has to
>> propose such a change, argue for its benefit and get it accepted by
>> the community.
>
> Isn't that what git remote set-head origin -a does?

Yes, but the point is to do so when fetch is run (i.e. it talks with
the other side not just to learn which branch their HEAD points at,
but it actually does the fetching of new history on branches).  And
it might open the door to add a configuration to tell "fetch" to do
so unconditionally, if it turns out to be useful enough.